QGIS Application - Bug report #21924
the r.neighbors command does not work
2019-04-24 05:00 PM - salvatore nieddu

Status: Feedback

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.4.4 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29739
Description

the r.neighbors command (for raster analysis with floating window) does not work. There is no error message. Simply the final result is a
non-result, in the sense that on the TOC a raster appears with improbable values, while on the screen no raster appears (| tried to save
the temporary file but the file does not appear). I've also tried elementary rasters and different versions of QGIS, but it doesn't work in any
way.

History

#1 - 2019-04-24 05:01 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please attach one of the rasters you are trying to use as input.

#2 - 2019-04-24 05:04 PM - salvatore nieddu

the raster that | have to submit to a floating window is a chm with integer values, weighs 400 mb but above all | can't supply it. The fact remains that | tried

with a small raster, created for the occasion but the result is unacceptable.

#3 - 2019-04-24 05:09 PM - Giovanni Manghi

salvatore nieddu wrote:

the raster that | have to submit to a floating window is a chm with integer values, weighs 400 mb but above all | can't supply it. The fact remains that

| tried with a small raster, created for the occasion but the result is unacceptable.

does the same tool, with the same parameters and inputs, work within native GRASS?

NOTE: you can link a sample dataset rather than attaching it. Proving sample data is the correct way to help us (to help you) in troubleshooting a

problem. Do not expect us to try find a way/data to replicate your issue.

#4 - 2019-04-24 05:14 PM - salvatore nieddu

Does the same tool, with the same parameters and inputs, work within native GRASS?

RIS: no, I've tried it with older versions, but it doesn't work in any way.
NOTE: It is possible to link a sample data set instead of connecting it.
RIS. I'm sorry but | can't provide the data. In any case, let me point out that the tool does not work even with a very simple raster case.

#5 - 2019-04-24 05:18 PM - Giovanni Manghi

salvatore nieddu wrote:

Does the same tool, with the same parameters and inputs, work within native GRASS?

RIS: no, I've tried it with older versions, but it doesn't work in any way.

if it does NOT work in native GRASS then is NOT a QGIS issue: the QGIS Processing toolbox acts just a GUI for tools from SAGA, GDAL and GRASS.

Closing?

#6 - 2019-04-24 07:24 PM - salvatore nieddu

I don't think it's a version problem ... because | used the r.neighbor command some time ago without any problem ... now it doesn't work anymore ... is it

possible to restore it?

#7 - 2019-04-24 07:33 PM - Giovanni Manghi

salvatore nieddu wrote:

I don't think it's a version problem ... because | used the r.neighbor command some time ago without any problem ... now it doesn't work anymore ...

is it possible to restore it?

forget for a minute qgis: you should try in native GRASS, the same GRASS installation that comes with any QGIS installation (on Windows). If it does not
work directly in GRASS then is not a QGIS issue and you should report it to the GRASS project.

#8 - 2019-05-23 06:39 AM - Alexander Bruy

Works fine in master and latest 3.4. Please provide steps to reproduce and sample dataset.
